Last modified: 2013-06-18 13:43:47 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28768 - meta=globaluserinfo doesn't display homewiki
meta=globaluserinfo doesn't display homewiki
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
unspecified
All All
: Normal minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: noncoreapi
  Show dependency treegraph
 
Reported: 2011-05-01 19:09 UTC by Sam Reed (reedy)
Modified: 2013-06-18 13:43 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2011-05-01 19:09:54 UTC
http://en.wikipedia.org/w/api.php?action=query&meta=globaluserinfo&guiuser=Catrope&guiprop=groups|merged|unattached

<globaluserinfo home="" id="2331" registration="2008-05-27T17:17:49Z">

http://en.wikipedia.org/wiki/Special:CentralAuth/Catrope

Home wiki: mediawikiwiki
Comment 1 Brion Vibber 2011-06-06 23:50:05 UTC
Offhand ApiQueryGlobalUserInfo.php looks correctish. Needs to be double-checked and debugged.
Comment 2 Sam Reed (reedy) 2011-06-06 23:58:30 UTC
Looking against it, it seems the Special:CentralAuth does it completely differently..
Comment 3 Mark A. Hershberger 2011-12-20 21:08:59 UTC
Changing default assignee per IRC
Comment 4 Sam Reed (reedy) 2013-04-12 11:13:48 UTC
mysql:wikiadmin@db1041 [centralauth]> select gu_home_db from globaluser where gu_name = 'Reedy';
+------------+
| gu_home_db |
+------------+
| NULL       |
+------------+
1 row in set (0.02 sec)
Comment 5 Sam Reed (reedy) 2013-04-12 11:24:03 UTC
mysql:wikiadmin@db1041 [centralauth]> select distinct gu_home_db from globaluser;
+------------+
| gu_home_db |
+------------+
| NULL       |
+------------+
1 row in set (2 min 50.22 sec)
Comment 6 Gerrit Notification Bot 2013-04-12 11:27:19 UTC
Related URL: https://gerrit.wikimedia.org/r/58873 (Gerrit Change I5f8f9032c84a5ddaef43459f1b5a256df232adf3)
Comment 7 Gerrit Notification Bot 2013-04-23 18:44:35 UTC
https://gerrit.wikimedia.org/r/58873 (Gerrit Change I5f8f9032c84a5ddaef43459f1b5a256df232adf3) | change APPROVED and MERGED [by jenkins-bot]

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links